/* password-dialog.c generated by valac 0.22.1, the Vala compiler
 * generated from password-dialog.vala, do not modify */

/* Copyright 2011-2013 Yorba Foundation
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "geary-static.h"
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>
#include <gobject/gvaluecollector.h>


#define TYPE_PASSWORD_DIALOG (password_dialog_get_type ())
#define PASSWORD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PASSWORD_DIALOG, PasswordDialog))
#define PASSWORD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_PASSWORD_DIALOG, PasswordDialogClass))
#define IS_PASSWORD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PASSWORD_DIALOG))
#define IS_PASSWORD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_PASSWORD_DIALOG))
#define PASSWORD_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_PASSWORD_DIALOG, PasswordDialogClass))

typedef struct _PasswordDialog PasswordDialog;
typedef struct _PasswordDialogClass PasswordDialogClass;
typedef struct _PasswordDialogPrivate PasswordDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;
typedef struct _ParamSpecPasswordDialog ParamSpecPasswordDialog;

struct _PasswordDialog {
	GTypeInstance parent_instance;
	volatile int ref_count;
	PasswordDialogPrivate * priv;
};

struct _PasswordDialogClass {
	GTypeClass parent_class;
	void (*finalize) (PasswordDialog *self);
};

struct _PasswordDialogPrivate {
	GtkDialog* dialog;
	GtkEntry* entry_imap_password;
	GtkCheckButton* check_remember_password;
	GtkEntry* entry_smtp_password;
	GtkButton* ok_button;
	GtkGrid* grid_imap;
	GtkGrid* grid_smtp;
	GearyCredentialsMediatorServiceFlag password_flags;
	gchar* _imap_password;
	gchar* _smtp_password;
	gboolean _remember_password;
};

struct _ParamSpecPasswordDialog {
	GParamSpec parent_instance;
};


static gpointer password_dialog_parent_class = NULL;

gpointer password_dialog_ref (gpointer instance);
void password_dialog_unref (gpointer instance);
GParamSpec* param_spec_password_dialog (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void value_set_password_dialog (GValue* value, gpointer v_object);
void value_take_password_dialog (GValue* value, gpointer v_object);
gpointer value_get_password_dialog (const GValue* value);
GType password_dialog_get_type (void) G_GNUC_CONST;
#define PASSWORD_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_PASSWORD_DIALOG, PasswordDialogPrivate))
enum  {
	PASSWORD_DIALOG_DUMMY_PROPERTY
};
#define PASSWORD_DIALOG_PRIMARY_TEXT_MARKUP "<span weight=\"bold\" size=\"larger\">%s</span>"
#define PASSWORD_DIALOG_PRIMARY_TEXT_FIRST_TRY _ ("Please enter your email password")
#define PASSWORD_DIALOG_PRIMARY_TEXT_REPEATED_TRY _ ("Unable to login to email server")
PasswordDialog* password_dialog_new (GearyAccountInformation* account_information, gboolean first_try, GearyCredentialsMediatorServiceFlag password_flags);
PasswordDialog* password_dialog_construct (GType object_type, GearyAccountInformation* account_information, gboolean first_try, GearyCredentialsMediatorServiceFlag password_flags);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
GtkBuilder* geary_application_create_builder (GearyApplication* self, const gchar* ui_filename);
static gchar* password_dialog_get_primary_text_markup (PasswordDialog* self, gboolean first_try);
static gchar* password_dialog_get_security_status (PasswordDialog* self, GearyEndpointFlags flags);
#define STOCK__CANCEL _ ("_Cancel")
#define STOCK__OK _ ("_OK")
static void password_dialog_refresh_ok_button_sensitivity (PasswordDialog* self);
static void _password_dialog_refresh_ok_button_sensitivity_gtk_editable_changed (GtkEditable* _sender, gpointer self);
gboolean password_dialog_run (PasswordDialog* self);
static void password_dialog_set_imap_password (PasswordDialog* self, const gchar* value);
static void password_dialog_set_smtp_password (PasswordDialog* self, const gchar* value);
static void password_dialog_set_remember_password (PasswordDialog* self, gboolean value);
const gchar* password_dialog_get_imap_password (PasswordDialog* self);
const gchar* password_dialog_get_smtp_password (PasswordDialog* self);
gboolean password_dialog_get_remember_password (PasswordDialog* self);
static void password_dialog_finalize (PasswordDialog* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 38 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 116 "password-dialog.c"
}


static void _password_dialog_refresh_ok_button_sensitivity_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 109 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	password_dialog_refresh_ok_button_sensitivity (self);
#line 123 "password-dialog.c"
}


PasswordDialog* password_dialog_construct (GType object_type, GearyAccountInformation* account_information, gboolean first_try, GearyCredentialsMediatorServiceFlag password_flags) {
	PasswordDialog* self = NULL;
	GearyCredentialsMediatorServiceFlag _tmp0_ = 0;
	GtkBuilder* builder = NULL;
	GearyApplication* _tmp1_ = NULL;
	GearyApplication* _tmp2_ = NULL;
	GtkBuilder* _tmp3_ = NULL;
	GtkBuilder* _tmp4_ = NULL;
	GObject* _tmp5_ = NULL;
	GtkDialog* _tmp6_ = NULL;
	GtkDialog* _tmp7_ = NULL;
	GtkDialog* _tmp8_ = NULL;
	GtkBuilder* _tmp9_ = NULL;
	GObject* _tmp10_ = NULL;
	GtkEntry* _tmp11_ = NULL;
	GtkBuilder* _tmp12_ = NULL;
	GObject* _tmp13_ = NULL;
	GtkEntry* _tmp14_ = NULL;
	GtkBuilder* _tmp15_ = NULL;
	GObject* _tmp16_ = NULL;
	GtkCheckButton* _tmp17_ = NULL;
	GtkLabel* label_real_name = NULL;
	GtkBuilder* _tmp18_ = NULL;
	GObject* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* label_service = NULL;
	GtkBuilder* _tmp21_ = NULL;
	GObject* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkBuilder* _tmp24_ = NULL;
	GObject* _tmp25_ = NULL;
	GtkGrid* _tmp26_ = NULL;
	GtkLabel* label_imap_username = NULL;
	GtkBuilder* _tmp27_ = NULL;
	GObject* _tmp28_ = NULL;
	GtkLabel* _tmp29_ = NULL;
	GtkLabel* label_imap_server = NULL;
	GtkBuilder* _tmp30_ = NULL;
	GObject* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkLabel* label_imap_port = NULL;
	GtkBuilder* _tmp33_ = NULL;
	GObject* _tmp34_ = NULL;
	GtkLabel* _tmp35_ = NULL;
	GtkLabel* label_imap_encryption = NULL;
	GtkBuilder* _tmp36_ = NULL;
	GObject* _tmp37_ = NULL;
	GtkLabel* _tmp38_ = NULL;
	GtkBuilder* _tmp39_ = NULL;
	GObject* _tmp40_ = NULL;
	GtkGrid* _tmp41_ = NULL;
	GtkLabel* label_smtp_username = NULL;
	GtkBuilder* _tmp42_ = NULL;
	GObject* _tmp43_ = NULL;
	GtkLabel* _tmp44_ = NULL;
	GtkLabel* label_smtp_server = NULL;
	GtkBuilder* _tmp45_ = NULL;
	GObject* _tmp46_ = NULL;
	GtkLabel* _tmp47_ = NULL;
	GtkLabel* label_smtp_port = NULL;
	GtkBuilder* _tmp48_ = NULL;
	GObject* _tmp49_ = NULL;
	GtkLabel* _tmp50_ = NULL;
	GtkLabel* label_smtp_encryption = NULL;
	GtkBuilder* _tmp51_ = NULL;
	GObject* _tmp52_ = NULL;
	GtkLabel* _tmp53_ = NULL;
	GtkLabel* primary_text_label = NULL;
	GtkBuilder* _tmp54_ = NULL;
	GObject* _tmp55_ = NULL;
	GtkLabel* _tmp56_ = NULL;
	GtkLabel* _tmp57_ = NULL;
	gboolean _tmp58_ = FALSE;
	gchar* _tmp59_ = NULL;
	gchar* _tmp60_ = NULL;
	GearyEndpoint* imap_endpoint = NULL;
	GearyEndpoint* smtp_endpoint = NULL;
	GearyAccountInformation* _tmp61_ = NULL;
	GearyEndpoint* _tmp62_ = NULL;
	GearyAccountInformation* _tmp63_ = NULL;
	GearyEndpoint* _tmp64_ = NULL;
	gchar* imap_server_host = NULL;
	GearyEndpoint* _tmp65_ = NULL;
	const gchar* _tmp66_ = NULL;
	const gchar* _tmp67_ = NULL;
	gchar* _tmp68_ = NULL;
	guint16 imap_server_port = 0U;
	GearyEndpoint* _tmp69_ = NULL;
	guint16 _tmp70_ = 0U;
	guint16 _tmp71_ = 0U;
	gchar* smtp_server_host = NULL;
	GearyEndpoint* _tmp72_ = NULL;
	const gchar* _tmp73_ = NULL;
	const gchar* _tmp74_ = NULL;
	gchar* _tmp75_ = NULL;
	guint16 smtp_server_port = 0U;
	GearyEndpoint* _tmp76_ = NULL;
	guint16 _tmp77_ = 0U;
	guint16 _tmp78_ = 0U;
	gchar* _tmp79_ = NULL;
	GearyAccountInformation* _tmp80_ = NULL;
	const gchar* _tmp81_ = NULL;
	const gchar* _tmp82_ = NULL;
	gchar* _tmp83_ = NULL;
	const gchar* _tmp84_ = NULL;
	GtkLabel* _tmp86_ = NULL;
	const gchar* _tmp87_ = NULL;
	gchar* _tmp88_ = NULL;
	GearyAccountInformation* _tmp89_ = NULL;
	GearyServiceProvider _tmp90_ = 0;
	GearyServiceProvider _tmp91_ = 0;
	gchar* _tmp92_ = NULL;
	const gchar* _tmp93_ = NULL;
	GtkLabel* _tmp95_ = NULL;
	const gchar* _tmp96_ = NULL;
	gchar* _tmp97_ = NULL;
	GearyAccountInformation* _tmp98_ = NULL;
	GearyCredentials* _tmp99_ = NULL;
	GearyCredentials* _tmp100_ = NULL;
	const gchar* _tmp101_ = NULL;
	const gchar* _tmp102_ = NULL;
	gchar* _tmp103_ = NULL;
	const gchar* _tmp104_ = NULL;
	GtkLabel* _tmp106_ = NULL;
	const gchar* _tmp107_ = NULL;
	gchar* _tmp108_ = NULL;
	GearyAccountInformation* _tmp109_ = NULL;
	GearyCredentials* _tmp110_ = NULL;
	GearyCredentials* _tmp111_ = NULL;
	const gchar* _tmp112_ = NULL;
	const gchar* _tmp113_ = NULL;
	gchar* _tmp114_ = NULL;
	const gchar* _tmp115_ = NULL;
	GtkEntry* _tmp117_ = NULL;
	const gchar* _tmp118_ = NULL;
	GtkLabel* _tmp119_ = NULL;
	const gchar* _tmp120_ = NULL;
	GtkLabel* _tmp121_ = NULL;
	guint16 _tmp122_ = 0U;
	gchar* _tmp123_ = NULL;
	gchar* _tmp124_ = NULL;
	GtkLabel* _tmp125_ = NULL;
	GearyEndpoint* _tmp126_ = NULL;
	GearyEndpointFlags _tmp127_ = 0;
	GearyEndpointFlags _tmp128_ = 0;
	gchar* _tmp129_ = NULL;
	gchar* _tmp130_ = NULL;
	GearyAccountInformation* _tmp131_ = NULL;
	GearyCredentials* _tmp132_ = NULL;
	GearyCredentials* _tmp133_ = NULL;
	GtkLabel* _tmp156_ = NULL;
	const gchar* _tmp157_ = NULL;
	GtkLabel* _tmp158_ = NULL;
	guint16 _tmp159_ = 0U;
	gchar* _tmp160_ = NULL;
	gchar* _tmp161_ = NULL;
	GtkLabel* _tmp162_ = NULL;
	GearyEndpoint* _tmp163_ = NULL;
	GearyEndpointFlags _tmp164_ = 0;
	GearyEndpointFlags _tmp165_ = 0;
	gchar* _tmp166_ = NULL;
	gchar* _tmp167_ = NULL;
	GtkCheckButton* _tmp168_ = NULL;
	GearyAccountInformation* _tmp169_ = NULL;
	gboolean _tmp170_ = FALSE;
	gboolean _tmp171_ = FALSE;
	GtkButton* cancel_button = NULL;
	GtkButton* _tmp172_ = NULL;
	GtkButton* _tmp173_ = NULL;
	GtkButton* _tmp174_ = NULL;
	GtkDialog* _tmp175_ = NULL;
	GtkDialog* _tmp176_ = NULL;
	GtkButton* _tmp177_ = NULL;
	GtkDialog* _tmp178_ = NULL;
	GtkEntry* _tmp179_ = NULL;
	GtkEntry* _tmp180_ = NULL;
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (GEARY_IS_ACCOUNT_INFORMATION (account_information), NULL);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self = (PasswordDialog*) g_type_create_instance (object_type);
#line 34 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = password_flags;
#line 34 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->password_flags = _tmp0_;
#line 35 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = geary_application_get_instance ();
#line 35 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp2_ = _tmp1_;
#line 35 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp3_ = geary_application_create_builder (_tmp2_, "password-dialog.glade");
#line 35 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	builder = _tmp3_;
#line 38 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp4_ = builder;
#line 38 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp5_ = gtk_builder_get_object (_tmp4_, "PasswordDialog");
#line 38 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp6_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, GTK_TYPE_DIALOG, GtkDialog));
#line 38 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->dialog);
#line 38 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->dialog = _tmp6_;
#line 39 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp7_ = self->priv->dialog;
#line 39 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_window_set_type_hint (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, GTK_TYPE_WINDOW, GtkWindow), GDK_WINDOW_TYPE_HINT_DIALOG);
#line 40 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp8_ = self->priv->dialog;
#line 40 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_dialog_set_default_response (_tmp8_, (gint) GTK_RESPONSE_OK);
#line 43 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp9_ = builder;
#line 43 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp10_ = gtk_builder_get_object (_tmp9_, "entry: imap password");
#line 43 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp11_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, GTK_TYPE_ENTRY, GtkEntry));
#line 43 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->entry_imap_password);
#line 43 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->entry_imap_password = _tmp11_;
#line 44 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp12_ = builder;
#line 44 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp13_ = gtk_builder_get_object (_tmp12_, "entry: smtp password");
#line 44 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp14_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, GTK_TYPE_ENTRY, GtkEntry));
#line 44 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->entry_smtp_password);
#line 44 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->entry_smtp_password = _tmp14_;
#line 45 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp15_ = builder;
#line 45 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp16_ = gtk_builder_get_object (_tmp15_, "check: remember_password");
#line 45 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp17_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, GTK_TYPE_CHECK_BUTTON, GtkCheckButton));
#line 45 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->check_remember_password);
#line 45 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->check_remember_password = _tmp17_;
#line 48 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp18_ = builder;
#line 48 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp19_ = gtk_builder_get_object (_tmp18_, "label: real_name");
#line 48 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp20_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp19_, GTK_TYPE_LABEL, GtkLabel));
#line 48 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_real_name = _tmp20_;
#line 49 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp21_ = builder;
#line 49 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp22_ = gtk_builder_get_object (_tmp21_, "label: service");
#line 49 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp23_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, GTK_TYPE_LABEL, GtkLabel));
#line 49 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_service = _tmp23_;
#line 51 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp24_ = builder;
#line 51 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp25_ = gtk_builder_get_object (_tmp24_, "grid: imap");
#line 51 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp26_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp25_, GTK_TYPE_GRID, GtkGrid));
#line 51 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->grid_imap);
#line 51 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->grid_imap = _tmp26_;
#line 52 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp27_ = builder;
#line 52 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp28_ = gtk_builder_get_object (_tmp27_, "label: imap username");
#line 52 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp29_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp28_, GTK_TYPE_LABEL, GtkLabel));
#line 52 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_imap_username = _tmp29_;
#line 53 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp30_ = builder;
#line 53 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp31_ = gtk_builder_get_object (_tmp30_, "label: imap server");
#line 53 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp32_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp31_, GTK_TYPE_LABEL, GtkLabel));
#line 53 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_imap_server = _tmp32_;
#line 54 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp33_ = builder;
#line 54 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp34_ = gtk_builder_get_object (_tmp33_, "label: imap port");
#line 54 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp35_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp34_, GTK_TYPE_LABEL, GtkLabel));
#line 54 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_imap_port = _tmp35_;
#line 55 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp36_ = builder;
#line 55 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp37_ = gtk_builder_get_object (_tmp36_, "label: imap encryption");
#line 55 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp38_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, GTK_TYPE_LABEL, GtkLabel));
#line 55 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_imap_encryption = _tmp38_;
#line 57 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp39_ = builder;
#line 57 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp40_ = gtk_builder_get_object (_tmp39_, "grid: smtp");
#line 57 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp41_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp40_, GTK_TYPE_GRID, GtkGrid));
#line 57 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->grid_smtp);
#line 57 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->grid_smtp = _tmp41_;
#line 58 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp42_ = builder;
#line 58 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp43_ = gtk_builder_get_object (_tmp42_, "label: smtp username");
#line 58 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp44_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp43_, GTK_TYPE_LABEL, GtkLabel));
#line 58 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_smtp_username = _tmp44_;
#line 59 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp45_ = builder;
#line 59 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp46_ = gtk_builder_get_object (_tmp45_, "label: smtp server");
#line 59 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp47_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, GTK_TYPE_LABEL, GtkLabel));
#line 59 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_smtp_server = _tmp47_;
#line 60 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp48_ = builder;
#line 60 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp49_ = gtk_builder_get_object (_tmp48_, "label: smtp port");
#line 60 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp50_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp49_, GTK_TYPE_LABEL, GtkLabel));
#line 60 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_smtp_port = _tmp50_;
#line 61 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp51_ = builder;
#line 61 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp52_ = gtk_builder_get_object (_tmp51_, "label: smtp encryption");
#line 61 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp53_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp52_, GTK_TYPE_LABEL, GtkLabel));
#line 61 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	label_smtp_encryption = _tmp53_;
#line 64 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp54_ = builder;
#line 64 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp55_ = gtk_builder_get_object (_tmp54_, "primary_text_label");
#line 64 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp56_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp55_, GTK_TYPE_LABEL, GtkLabel));
#line 64 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	primary_text_label = _tmp56_;
#line 65 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp57_ = primary_text_label;
#line 65 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp58_ = first_try;
#line 65 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp59_ = password_dialog_get_primary_text_markup (self, _tmp58_);
#line 65 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp60_ = _tmp59_;
#line 65 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_markup (_tmp57_, _tmp60_);
#line 65 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp60_);
#line 70 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp61_ = account_information;
#line 70 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp62_ = geary_account_information_get_imap_endpoint (_tmp61_);
#line 70 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (imap_endpoint);
#line 70 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	imap_endpoint = _tmp62_;
#line 71 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp63_ = account_information;
#line 71 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp64_ = geary_account_information_get_smtp_endpoint (_tmp63_);
#line 71 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (smtp_endpoint);
#line 71 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	smtp_endpoint = _tmp64_;
#line 73 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp65_ = imap_endpoint;
#line 73 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp66_ = geary_endpoint_get_host_specifier (_tmp65_);
#line 73 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp67_ = _tmp66_;
#line 73 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp68_ = g_strdup (_tmp67_);
#line 73 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	imap_server_host = _tmp68_;
#line 74 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp69_ = imap_endpoint;
#line 74 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp70_ = geary_endpoint_get_default_port (_tmp69_);
#line 74 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp71_ = _tmp70_;
#line 74 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	imap_server_port = _tmp71_;
#line 75 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp72_ = smtp_endpoint;
#line 75 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp73_ = geary_endpoint_get_host_specifier (_tmp72_);
#line 75 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp74_ = _tmp73_;
#line 75 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp75_ = g_strdup (_tmp74_);
#line 75 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	smtp_server_host = _tmp75_;
#line 76 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp76_ = smtp_endpoint;
#line 76 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp77_ = geary_endpoint_get_default_port (_tmp76_);
#line 76 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp78_ = _tmp77_;
#line 76 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	smtp_server_port = _tmp78_;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp80_ = account_information;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp81_ = geary_account_information_get_real_name (_tmp80_);
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp82_ = _tmp81_;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp83_ = g_strdup (_tmp82_);
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp79_ = _tmp83_;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp84_ = _tmp79_;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp84_ == NULL) {
#line 553 "password-dialog.c"
		gchar* _tmp85_ = NULL;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp85_ = g_strdup ("");
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_g_free0 (_tmp79_);
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp79_ = _tmp85_;
#line 561 "password-dialog.c"
	}
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp86_ = label_real_name;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp87_ = _tmp79_;
#line 79 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp86_, _tmp87_);
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp89_ = account_information;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp90_ = geary_account_information_get_service_provider (_tmp89_);
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp91_ = _tmp90_;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp92_ = geary_service_provider_display_name (_tmp91_);
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp88_ = _tmp92_;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp93_ = _tmp88_;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp93_ == NULL) {
#line 583 "password-dialog.c"
		gchar* _tmp94_ = NULL;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp94_ = g_strdup ("");
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_g_free0 (_tmp88_);
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp88_ = _tmp94_;
#line 591 "password-dialog.c"
	}
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp95_ = label_service;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp96_ = _tmp88_;
#line 80 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp95_, _tmp96_);
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp98_ = account_information;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp99_ = geary_account_information_get_imap_credentials (_tmp98_);
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp100_ = _tmp99_;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp101_ = geary_credentials_get_user (_tmp100_);
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp102_ = _tmp101_;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp103_ = g_strdup (_tmp102_);
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp97_ = _tmp103_;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp104_ = _tmp97_;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp104_ == NULL) {
#line 617 "password-dialog.c"
		gchar* _tmp105_ = NULL;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp105_ = g_strdup ("");
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_g_free0 (_tmp97_);
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp97_ = _tmp105_;
#line 625 "password-dialog.c"
	}
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp106_ = label_imap_username;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp107_ = _tmp97_;
#line 82 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp106_, _tmp107_);
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp109_ = account_information;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp110_ = geary_account_information_get_imap_credentials (_tmp109_);
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp111_ = _tmp110_;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp112_ = geary_credentials_get_pass (_tmp111_);
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp113_ = _tmp112_;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp114_ = g_strdup (_tmp113_);
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp108_ = _tmp114_;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp115_ = _tmp108_;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp115_ == NULL) {
#line 651 "password-dialog.c"
		gchar* _tmp116_ = NULL;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp116_ = g_strdup ("");
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_g_free0 (_tmp108_);
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp108_ = _tmp116_;
#line 659 "password-dialog.c"
	}
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp117_ = self->priv->entry_imap_password;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp118_ = _tmp108_;
#line 83 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_entry_set_text (_tmp117_, _tmp118_);
#line 84 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp119_ = label_imap_server;
#line 84 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp120_ = imap_server_host;
#line 84 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp119_, _tmp120_);
#line 85 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp121_ = label_imap_port;
#line 85 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp122_ = imap_server_port;
#line 85 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp123_ = g_strdup_printf ("%hu", _tmp122_);
#line 85 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp124_ = _tmp123_;
#line 85 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp121_, _tmp124_);
#line 85 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp124_);
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp125_ = label_imap_encryption;
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp126_ = imap_endpoint;
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp127_ = geary_endpoint_get_flags (_tmp126_);
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp128_ = _tmp127_;
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp129_ = password_dialog_get_security_status (self, _tmp128_);
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp130_ = _tmp129_;
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp125_, _tmp130_);
#line 86 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp130_);
#line 88 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp131_ = account_information;
#line 88 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp132_ = geary_account_information_get_smtp_credentials (_tmp131_);
#line 88 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp133_ = _tmp132_;
#line 88 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp133_ != NULL) {
#line 709 "password-dialog.c"
		gchar* _tmp134_ = NULL;
		GearyAccountInformation* _tmp135_ = NULL;
		GearyCredentials* _tmp136_ = NULL;
		GearyCredentials* _tmp137_ = NULL;
		const gchar* _tmp138_ = NULL;
		const gchar* _tmp139_ = NULL;
		gchar* _tmp140_ = NULL;
		const gchar* _tmp141_ = NULL;
		GtkLabel* _tmp143_ = NULL;
		const gchar* _tmp144_ = NULL;
		gchar* _tmp145_ = NULL;
		GearyAccountInformation* _tmp146_ = NULL;
		GearyCredentials* _tmp147_ = NULL;
		GearyCredentials* _tmp148_ = NULL;
		const gchar* _tmp149_ = NULL;
		const gchar* _tmp150_ = NULL;
		gchar* _tmp151_ = NULL;
		const gchar* _tmp152_ = NULL;
		GtkEntry* _tmp154_ = NULL;
		const gchar* _tmp155_ = NULL;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp135_ = account_information;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp136_ = geary_account_information_get_smtp_credentials (_tmp135_);
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp137_ = _tmp136_;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp138_ = geary_credentials_get_user (_tmp137_);
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp139_ = _tmp138_;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp140_ = g_strdup (_tmp139_);
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp134_ = _tmp140_;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp141_ = _tmp134_;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		if (_tmp141_ == NULL) {
#line 748 "password-dialog.c"
			gchar* _tmp142_ = NULL;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_tmp142_ = g_strdup ("");
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_g_free0 (_tmp134_);
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_tmp134_ = _tmp142_;
#line 756 "password-dialog.c"
		}
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp143_ = label_smtp_username;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp144_ = _tmp134_;
#line 89 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		gtk_label_set_text (_tmp143_, _tmp144_);
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp146_ = account_information;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp147_ = geary_account_information_get_smtp_credentials (_tmp146_);
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp148_ = _tmp147_;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp149_ = geary_credentials_get_pass (_tmp148_);
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp150_ = _tmp149_;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp151_ = g_strdup (_tmp150_);
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp145_ = _tmp151_;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp152_ = _tmp145_;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		if (_tmp152_ == NULL) {
#line 782 "password-dialog.c"
			gchar* _tmp153_ = NULL;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_tmp153_ = g_strdup ("");
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_g_free0 (_tmp145_);
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_tmp145_ = _tmp153_;
#line 790 "password-dialog.c"
		}
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp154_ = self->priv->entry_smtp_password;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp155_ = _tmp145_;
#line 90 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		gtk_entry_set_text (_tmp154_, _tmp155_);
#line 88 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_g_free0 (_tmp145_);
#line 88 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_g_free0 (_tmp134_);
#line 802 "password-dialog.c"
	}
#line 93 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp156_ = label_smtp_server;
#line 93 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp157_ = smtp_server_host;
#line 93 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp156_, _tmp157_);
#line 94 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp158_ = label_smtp_port;
#line 94 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp159_ = smtp_server_port;
#line 94 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp160_ = g_strdup_printf ("%hu", _tmp159_);
#line 94 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp161_ = _tmp160_;
#line 94 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp158_, _tmp161_);
#line 94 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp161_);
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp162_ = label_smtp_encryption;
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp163_ = smtp_endpoint;
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp164_ = geary_endpoint_get_flags (_tmp163_);
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp165_ = _tmp164_;
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp166_ = password_dialog_get_security_status (self, _tmp165_);
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp167_ = _tmp166_;
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_label_set_text (_tmp162_, _tmp167_);
#line 95 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp167_);
#line 97 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp168_ = self->priv->check_remember_password;
#line 97 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp169_ = account_information;
#line 97 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp170_ = geary_account_information_get_imap_remember_password (_tmp169_);
#line 97 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp171_ = _tmp170_;
#line 97 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp168_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton), _tmp171_);
#line 100 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp172_ = (GtkButton*) gtk_button_new_from_stock (STOCK__CANCEL);
#line 100 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_object_ref_sink (_tmp172_);
#line 100 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	cancel_button = _tmp172_;
#line 101 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp173_ = (GtkButton*) gtk_button_new_from_stock (STOCK__OK);
#line 101 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_object_ref_sink (_tmp173_);
#line 101 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->ok_button);
#line 101 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->ok_button = _tmp173_;
#line 102 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp174_ = self->priv->ok_button;
#line 102 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_widget_set_can_default (G_TYPE_CHECK_INSTANCE_CAST (_tmp174_, GTK_TYPE_WIDGET, GtkWidget), TRUE);
#line 103 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp175_ = self->priv->dialog;
#line 103 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_dialog_add_action_widget (_tmp175_, G_TYPE_CHECK_INSTANCE_CAST (cancel_button, GTK_TYPE_WIDGET, GtkWidget), (gint) GTK_RESPONSE_CANCEL);
#line 104 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp176_ = self->priv->dialog;
#line 104 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp177_ = self->priv->ok_button;
#line 104 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_dialog_add_action_widget (_tmp176_, G_TYPE_CHECK_INSTANCE_CAST (_tmp177_, GTK_TYPE_WIDGET, GtkWidget), (gint) GTK_RESPONSE_OK);
#line 105 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp178_ = self->priv->dialog;
#line 105 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_dialog_set_default_response (_tmp178_, (gint) GTK_RESPONSE_OK);
#line 108 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	password_dialog_refresh_ok_button_sensitivity (self);
#line 109 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp179_ = self->priv->entry_imap_password;
#line 109 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp179_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _password_dialog_refresh_ok_button_sensitivity_gtk_editable_changed, self);
#line 110 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp180_ = self->priv->entry_smtp_password;
#line 110 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_signal_connect (G_TYPE_CHECK_INSTANCE_CAST (_tmp180_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _password_dialog_refresh_ok_button_sensitivity_gtk_editable_changed, self);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (cancel_button);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp108_);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp97_);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp88_);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (_tmp79_);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (smtp_server_host);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (imap_server_host);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (smtp_endpoint);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (imap_endpoint);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (primary_text_label);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_smtp_encryption);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_smtp_port);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_smtp_server);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_smtp_username);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_imap_encryption);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_imap_port);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_imap_server);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_imap_username);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_service);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (label_real_name);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (builder);
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return self;
#line 934 "password-dialog.c"
}


PasswordDialog* password_dialog_new (GearyAccountInformation* account_information, gboolean first_try, GearyCredentialsMediatorServiceFlag password_flags) {
#line 32 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return password_dialog_construct (TYPE_PASSWORD_DIALOG, account_information, first_try, password_flags);
#line 941 "password-dialog.c"
}


static gchar* password_dialog_get_primary_text_markup (PasswordDialog* self, gboolean first_try) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 113 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (IS_PASSWORD_DIALOG (self), NULL);
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = first_try;
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp1_) {
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp0_ = PASSWORD_DIALOG_PRIMARY_TEXT_FIRST_TRY;
#line 959 "password-dialog.c"
	} else {
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp0_ = PASSWORD_DIALOG_PRIMARY_TEXT_REPEATED_TRY;
#line 963 "password-dialog.c"
	}
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp2_ = _tmp0_;
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp3_ = g_strdup_printf (PASSWORD_DIALOG_PRIMARY_TEXT_MARKUP, _tmp2_);
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	result = _tmp3_;
#line 114 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return result;
#line 973 "password-dialog.c"
}


static void password_dialog_refresh_ok_button_sensitivity (PasswordDialog* self) {
	gboolean _tmp0_ = FALSE;
	GtkEntry* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GtkButton* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 117 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_if_fail (IS_PASSWORD_DIALOG (self));
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = self->priv->entry_imap_password;
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp3_ = geary_string_is_empty_or_whitespace (_tmp2_);
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (!_tmp3_) {
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp0_ = TRUE;
#line 996 "password-dialog.c"
	} else {
		GtkEntry* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		gboolean _tmp6_ = FALSE;
#line 119 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp4_ = self->priv->entry_smtp_password;
#line 119 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 119 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp6_ = geary_string_is_empty_or_whitespace (_tmp5_);
#line 119 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp0_ = !_tmp6_;
#line 1009 "password-dialog.c"
	}
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp7_ = self->priv->ok_button;
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp8_ = _tmp0_;
#line 118 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, GTK_TYPE_WIDGET, GtkWidget), _tmp8_);
#line 1017 "password-dialog.c"
}


static gchar* password_dialog_get_security_status (PasswordDialog* self, GearyEndpointFlags flags) {
	gchar* result = NULL;
	GearyEndpointFlags _tmp0_ = 0;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
#line 122 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (IS_PASSWORD_DIALOG (self), NULL);
#line 123 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = flags;
#line 123 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = geary_endpoint_flags_is_all_set (_tmp0_, GEARY_ENDPOINT_FLAGS_SSL);
#line 123 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp1_) {
#line 1035 "password-dialog.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
#line 124 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp2_ = _ ("SSL");
#line 124 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp3_ = g_strdup (_tmp2_);
#line 124 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		result = _tmp3_;
#line 124 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		return result;
#line 1046 "password-dialog.c"
	} else {
		GearyEndpointFlags _tmp4_ = 0;
		gboolean _tmp5_ = FALSE;
#line 125 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp4_ = flags;
#line 125 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp5_ = geary_endpoint_flags_is_all_set (_tmp4_, GEARY_ENDPOINT_FLAGS_STARTTLS);
#line 125 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		if (_tmp5_) {
#line 1056 "password-dialog.c"
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
#line 126 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_tmp6_ = _ ("STARTTLS");
#line 126 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			_tmp7_ = g_strdup (_tmp6_);
#line 126 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			result = _tmp7_;
#line 126 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			return result;
#line 1067 "password-dialog.c"
		}
	}
#line 128 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp8_ = _ ("None");
#line 128 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp9_ = g_strdup (_tmp8_);
#line 128 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	result = _tmp9_;
#line 128 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return result;
#line 1078 "password-dialog.c"
}


gboolean password_dialog_run (PasswordDialog* self) {
	gboolean result = FALSE;
	GtkDialog* _tmp0_ = NULL;
	GtkDialog* _tmp1_ = NULL;
	GtkWidget* _tmp2_ = NULL;
	GearyCredentialsMediatorServiceFlag _tmp3_ = 0;
	gboolean _tmp4_ = FALSE;
	GearyCredentialsMediatorServiceFlag _tmp7_ = 0;
	gboolean _tmp8_ = FALSE;
	GtkResponseType response = 0;
	GtkDialog* _tmp11_ = NULL;
	gint _tmp12_ = 0;
	GtkResponseType _tmp13_ = 0;
	GtkDialog* _tmp21_ = NULL;
	GtkResponseType _tmp22_ = 0;
#line 131 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (IS_PASSWORD_DIALOG (self), FALSE);
#line 132 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = self->priv->dialog;
#line 132 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, GTK_TYPE_WIDGET, GtkWidget));
#line 133 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = self->priv->dialog;
#line 133 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp2_ = gtk_dialog_get_action_area (_tmp1_);
#line 133 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_widget_show_all (_tmp2_);
#line 135 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp3_ = self->priv->password_flags;
#line 135 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp4_ = geary_credentials_mediator_service_flag_has_imap (_tmp3_);
#line 135 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (!_tmp4_) {
#line 1115 "password-dialog.c"
		GtkGrid* _tmp5_ = NULL;
		GtkEntry* _tmp6_ = NULL;
#line 136 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp5_ = self->priv->grid_imap;
#line 136 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, GTK_TYPE_WIDGET, GtkWidget));
#line 137 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp6_ = self->priv->entry_smtp_password;
#line 137 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, GTK_TYPE_WIDGET, GtkWidget));
#line 1126 "password-dialog.c"
	}
#line 140 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp7_ = self->priv->password_flags;
#line 140 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp8_ = geary_credentials_mediator_service_flag_has_smtp (_tmp7_);
#line 140 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (!_tmp8_) {
#line 1134 "password-dialog.c"
		GtkGrid* _tmp9_ = NULL;
		GtkEntry* _tmp10_ = NULL;
#line 141 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp9_ = self->priv->grid_smtp;
#line 141 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, GTK_TYPE_WIDGET, GtkWidget));
#line 142 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp10_ = self->priv->entry_imap_password;
#line 142 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, GTK_TYPE_WIDGET, GtkWidget));
#line 1145 "password-dialog.c"
	}
#line 145 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp11_ = self->priv->dialog;
#line 145 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp12_ = gtk_dialog_run (_tmp11_);
#line 145 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	response = (GtkResponseType) _tmp12_;
#line 146 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp13_ = response;
#line 146 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (_tmp13_ == GTK_RESPONSE_OK) {
#line 1157 "password-dialog.c"
		GtkEntry* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		GtkEntry* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		GtkCheckButton* _tmp18_ = NULL;
		gboolean _tmp19_ = FALSE;
		gboolean _tmp20_ = FALSE;
#line 147 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp14_ = self->priv->entry_imap_password;
#line 147 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp15_ = gtk_entry_get_text (_tmp14_);
#line 147 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_set_imap_password (self, _tmp15_);
#line 148 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp16_ = self->priv->entry_smtp_password;
#line 148 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp17_ = gtk_entry_get_text (_tmp16_);
#line 148 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_set_smtp_password (self, _tmp17_);
#line 149 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp18_ = self->priv->check_remember_password;
#line 149 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp19_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp18_, GTK_TYPE_TOGGLE_BUTTON, GtkToggleButton));
#line 149 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		_tmp20_ = _tmp19_;
#line 149 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_set_remember_password (self, _tmp20_);
#line 1185 "password-dialog.c"
	}
#line 152 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp21_ = self->priv->dialog;
#line 152 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	gtk_widget_destroy (G_TYPE_CHECK_INSTANCE_CAST (_tmp21_, GTK_TYPE_WIDGET, GtkWidget));
#line 154 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp22_ = response;
#line 154 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	result = _tmp22_ == GTK_RESPONSE_OK;
#line 154 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return result;
#line 1197 "password-dialog.c"
}


const gchar* password_dialog_get_imap_password (PasswordDialog* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (IS_PASSWORD_DIALOG (self), NULL);
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = self->priv->_imap_password;
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	result = _tmp0_;
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return result;
#line 1212 "password-dialog.c"
}


static void password_dialog_set_imap_password (PasswordDialog* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_if_fail (IS_PASSWORD_DIALOG (self));
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = value;
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (self->priv->_imap_password);
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->_imap_password = _tmp1_;
#line 1229 "password-dialog.c"
}


const gchar* password_dialog_get_smtp_password (PasswordDialog* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (IS_PASSWORD_DIALOG (self), NULL);
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = self->priv->_smtp_password;
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	result = _tmp0_;
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return result;
#line 1244 "password-dialog.c"
}


static void password_dialog_set_smtp_password (PasswordDialog* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_if_fail (IS_PASSWORD_DIALOG (self));
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = value;
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (self->priv->_smtp_password);
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->_smtp_password = _tmp1_;
#line 1261 "password-dialog.c"
}


gboolean password_dialog_get_remember_password (PasswordDialog* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (IS_PASSWORD_DIALOG (self), FALSE);
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = self->priv->_remember_password;
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	result = _tmp0_;
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return result;
#line 1276 "password-dialog.c"
}


static void password_dialog_set_remember_password (PasswordDialog* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_if_fail (IS_PASSWORD_DIALOG (self));
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = value;
#line 30 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->_remember_password = _tmp0_;
#line 1288 "password-dialog.c"
}


static void value_password_dialog_init (GValue* value) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	value->data[0].v_pointer = NULL;
#line 1295 "password-dialog.c"
}


static void value_password_dialog_free_value (GValue* value) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (value->data[0].v_pointer) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_unref (value->data[0].v_pointer);
#line 1304 "password-dialog.c"
	}
}


static void value_password_dialog_copy_value (const GValue* src_value, GValue* dest_value) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (src_value->data[0].v_pointer) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		dest_value->data[0].v_pointer = password_dialog_ref (src_value->data[0].v_pointer);
#line 1314 "password-dialog.c"
	} else {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1318 "password-dialog.c"
	}
}


static gpointer value_password_dialog_peek_pointer (const GValue* value) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return value->data[0].v_pointer;
#line 1326 "password-dialog.c"
}


static gchar* value_password_dialog_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (collect_values[0].v_pointer) {
#line 1333 "password-dialog.c"
		PasswordDialog* object;
		object = collect_values[0].v_pointer;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		if (object->parent_instance.g_class == NULL) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1340 "password-dialog.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1344 "password-dialog.c"
		}
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		value->data[0].v_pointer = password_dialog_ref (object);
#line 1348 "password-dialog.c"
	} else {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		value->data[0].v_pointer = NULL;
#line 1352 "password-dialog.c"
	}
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return NULL;
#line 1356 "password-dialog.c"
}


static gchar* value_password_dialog_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	PasswordDialog** object_p;
	object_p = collect_values[0].v_pointer;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (!object_p) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1367 "password-dialog.c"
	}
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (!value->data[0].v_pointer) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		*object_p = NULL;
#line 1373 "password-dialog.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		*object_p = value->data[0].v_pointer;
#line 1377 "password-dialog.c"
	} else {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		*object_p = password_dialog_ref (value->data[0].v_pointer);
#line 1381 "password-dialog.c"
	}
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return NULL;
#line 1385 "password-dialog.c"
}


GParamSpec* param_spec_password_dialog (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	ParamSpecPasswordDialog* spec;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_PASSWORD_DIALOG), NULL);
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return G_PARAM_SPEC (spec);
#line 1399 "password-dialog.c"
}


gpointer value_get_password_dialog (const GValue* value) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_PASSWORD_DIALOG), NULL);
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return value->data[0].v_pointer;
#line 1408 "password-dialog.c"
}


void value_set_password_dialog (GValue* value, gpointer v_object) {
	PasswordDialog* old;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_PASSWORD_DIALOG));
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	old = value->data[0].v_pointer;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (v_object) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_PASSWORD_DIALOG));
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		value->data[0].v_pointer = v_object;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_ref (value->data[0].v_pointer);
#line 1428 "password-dialog.c"
	} else {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		value->data[0].v_pointer = NULL;
#line 1432 "password-dialog.c"
	}
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (old) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_unref (old);
#line 1438 "password-dialog.c"
	}
}


void value_take_password_dialog (GValue* value, gpointer v_object) {
	PasswordDialog* old;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_PASSWORD_DIALOG));
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	old = value->data[0].v_pointer;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (v_object) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_PASSWORD_DIALOG));
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		value->data[0].v_pointer = v_object;
#line 1457 "password-dialog.c"
	} else {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		value->data[0].v_pointer = NULL;
#line 1461 "password-dialog.c"
	}
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (old) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		password_dialog_unref (old);
#line 1467 "password-dialog.c"
	}
}


static void password_dialog_class_init (PasswordDialogClass * klass) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	password_dialog_parent_class = g_type_class_peek_parent (klass);
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	PASSWORD_DIALOG_CLASS (klass)->finalize = password_dialog_finalize;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_type_class_add_private (klass, sizeof (PasswordDialogPrivate));
#line 1479 "password-dialog.c"
}


static void password_dialog_instance_init (PasswordDialog * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv = PASSWORD_DIALOG_GET_PRIVATE (self);
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp0_ = g_strdup ("");
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->_imap_password = _tmp0_;
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_tmp1_ = g_strdup ("");
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->priv->_smtp_password = _tmp1_;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self->ref_count = 1;
#line 1498 "password-dialog.c"
}


static void password_dialog_finalize (PasswordDialog* obj) {
	PasswordDialog * self;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_PASSWORD_DIALOG, PasswordDialog);
#line 19 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->dialog);
#line 20 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->entry_imap_password);
#line 21 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->check_remember_password);
#line 22 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->entry_smtp_password);
#line 23 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->ok_button);
#line 24 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->grid_imap);
#line 25 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_object_unref0 (self->priv->grid_smtp);
#line 28 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (self->priv->_imap_password);
#line 29 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	_g_free0 (self->priv->_smtp_password);
#line 1524 "password-dialog.c"
}


/**
 * Displays a dialog for collecting the user's password, without allowing them to change their
 * other data.
 */
GType password_dialog_get_type (void) {
	static volatile gsize password_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&password_dialog_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { value_password_dialog_init, value_password_dialog_free_value, value_password_dialog_copy_value, value_password_dialog_peek_pointer, "p", value_password_dialog_collect_value, "p", value_password_dialog_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (PasswordDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) password_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PasswordDialog), 0, (GInstanceInitFunc) password_dialog_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType password_dialog_type_id;
		password_dialog_type_id = g_type_register_fundamental (g_type_fundamental_next (), "PasswordDialog", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&password_dialog_type_id__volatile, password_dialog_type_id);
	}
	return password_dialog_type_id__volatile;
}


gpointer password_dialog_ref (gpointer instance) {
	PasswordDialog* self;
	self = instance;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	g_atomic_int_inc (&self->ref_count);
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	return instance;
#line 1553 "password-dialog.c"
}


void password_dialog_unref (gpointer instance) {
	PasswordDialog* self;
	self = instance;
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		PASSWORD_DIALOG_GET_CLASS (self)->finalize (self);
#line 11 "/builddir/build/BUILD/geary-0.4.1/src/client/dialogs/password-dialog.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1566 "password-dialog.c"
	}
}



